﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ScatterChartWLegend
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            lineChart1.SummaryValues.Add(MindFusion.Charting.Summary.Average); 

            lineChart1.XData.Clear();
            lineChart1.XData.Add(new List<double>{3,4,5,6,7,8,9});
            lineChart1.XData.Add(new List<double>{1,2,3,4,5,6,7,8});
            lineChart1.XData.Add(new List<double>{1,2,3,4,5,6,7,8,9,10});

            lineChart1.YData.Clear();
            lineChart1.YData.Add(new List<double>{92, 112, 241, 195, 201, 188, 212});
            lineChart1.YData.Add(new List<double>{512, 480, 321, 491, 460, 320, 298, 241});
            lineChart1.YData.Add(new List<double> { 340, 302, 322, 401, 487, 503, 421, 460, 513, 490 });

            lineChart1.ShapeBrushes.Add(
                new MindFusion.Drawing.SolidBrush(Color.FromArgb(175, 251, 175)));
            lineChart1.ShapeBrushes.Add(
                new MindFusion.Drawing.SolidBrush(Color.FromArgb(176, 224, 230)));
            lineChart1.ShapeBrushes.Add(
                new MindFusion.Drawing.SolidBrush(Color.FromArgb(216, 191, 216)));

            lineChart1.ChartPens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(144,238,144),
                3.0f));
            lineChart1.ChartPens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(70, 130, 180),
                3.0f));
            lineChart1.ChartPens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(186, 85, 211),
                3.0f));

            lineChart1.ShapePens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(144, 238, 144)));
            lineChart1.ShapePens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(70, 130, 180)));
            lineChart1.ShapePens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(186, 85, 211)));


            lineChart1.SummaryPens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(255,69,0), 4.0f));
            lineChart1.SummaryShapeBrushes.Add(new MindFusion.Drawing.SolidBrush(Color.FromArgb(255,228,225))); 
            lineChart1.SummaryShapePens.Add(new MindFusion.Drawing.Pen(Color.FromArgb(255,69,0)));
            lineChart1.SummaryShapes.Add(MindFusion.Charting.Shape.Rhombus);
            lineChart1.SummaryShapeSizes.Add(15.0);

            lineChart1.LegendColumns = 3;
            lineChart1.LegendLabels = new List<string>{"Europe", "Asia", "North America"};
            lineChart1.LegendOffset = 30f;
            lineChart1.LegendPosition = MindFusion.Charting.Position.Bottom;
            
            lineChart1.UpdateChart();

        }
    }
}
